Name:           TurboGears2
Version:        2.4.3
Release:    1%{?dist}
Summary:        Next generation front-to-back web development megaframework

License:        MIT
URL:            http://www.turbogears.org
Source0:        https://files.pythonhosted.org/packages/source/T/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-backlash
BuildRequires:  python3-chameleon
BuildRequires:  python3-crank >= 0.8.0
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-formencode
BuildRequires:  python3-genshi >= 0.5.1
BuildRequires:  python3-jinja2
BuildRequires:  python3-kajiki >= 0.2.2
BuildRequires:  python3-mako
BuildRequires:  python3-repoze-tm2 >= 1.0-0.4.a4
BuildRequires:  python3-repoze-who
BuildRequires:  python3-repoze-who-plugins-sa >= 1.0.1
BuildRequires:  python3-tw2-forms
BuildRequires:  python3-webtest
BuildRequires:  python3-zope-sqlalchemy >= 0.4

%global _description \
TurboGears brings together a best of breed python tools to create a flexible,\
full featured, and easy to use web framework.\
\
TurboGears 2 provides and integrated and well tested set of tools for\
everything you need to build dynamic, database driven applications.  It\
provides a full range of tools for front end javascript develeopment, back\
database development and everything in between:\
\
 * dynamic javascript powered widgets ToscaWidgets\
 * automatic JSON generation from your controllers\
 * powerful, designer friendly XHTML basted templating (Genshi)\
 * object or route based URL dispatching\
 * powerful Object Relational Mappers (SQLAlchemy)\

%description %{_description}

%package -n python3-%{name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{name}}

Requires:       python3-backlash
Requires:       python3-chameleon
Requires:       python3-crank >= 0.8.0
Requires:       python3-decorator
Requires:       python3-formencode
Requires:       python3-genshi >= 0.5.1
Requires:       python3-jinja2
Requires:       python3-kajiki > 0.2.2
Requires:       python3-mako
Requires:       python3-markupsafe
Requires:       python3-paste-deploy
Requires:       python3-repoze-lru
Requires:       python3-repoze-tm2 >= 1.0-0.a4
Requires:       python3-repoze-who
Requires:       python3-repoze-who-plugins-sa >= 1.0.1
Requires:       python3-tw2-forms
Requires:       python3-webob >= 1.2
Requires:       python3-zope-sqlalchemy >= 0.4

%description -n python3-%{name} %{_description}

%prep
%autosetup -n %{name}-%{version}


%build
%py3_build

%install
%py3_install
rm -fr %{buildroot}%{python3_sitelib}/tests


%files -n python3-%{name}
%doc README.rst
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/tg/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.3-1
- initial build
